<?php
   $target='guia';
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Usuarios/mensajeros.php"); 
   $nombrepagina = "REPORTE DE PENDIENTES";
   encabezado($target); 
   $user=$_SESSION['validar'];
	//entrada($user,$_GET['id_user'],$_GET['suc']);
	$filas=1;   
	if($filas == 1){ 
		class llamado{
			var $menuObj;
			function validar1($id_user,$id_sucursal){
				$this->menuObj=new menu_inicio();
				$this->menuObj->menu2($id_user,$id_sucursal);
			}
		}
		$llamadoObj=new llamado();
		$llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
		entrada($user,$_GET['id_user'],$_GET['suc']);
		echo"</td>";
		echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
		mostrar_cabeza_trabajo($nombrepagina);
		class obtiene{
			var $userObj;
			function obtener($perfil){
				$this->userObj=new select_zonas();
				$tabla=$this->userObj->get_tabla($_GET['suc']);
				$_SESSION['tabla_guia']=$tabla;
			}
		}
		$eliminaObj=new obtiene();
		$eliminaObj->obtener($suc);
		$tabla=$_SESSION['tabla_guia'];
?><CENTER>
<script language="javascript" src="js/popcalendar.js"></script>
<form action="" method="POST" name="backup"><center>
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: Seleccionar Mensajero ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="100" class="miTable_td">Mensajero:</td>
<td width="200" class="miTable_td">
<select name="id_mens" id="id_mens" class="inputbox">
<option value="">Todos</option>
<?
get_mensajero($_GET['suc'],$_POST['mensajero']);
?>
</select>
<input type="hidden" name="tabla" value="<? echo $tabla;?>" class="inputbox">
</td>
</tr>
<tr class="miTable_tr">
<td width="100" class="miTable_td">Fecha Inicial:</td>
<td width="200" class="miTable_td">
<input type="text" name="f1" id="dates1" value="<? echo $f1?>" onClick="popUpCalendar(this, backup.dates1, 'yyyy-mm-dd');" class="inputbox">
</td>
</tr>
<tr class="miTable_tr">
<td width="100" class="miTable_td">Fecha Final:</td>
<td width="200" class="miTable_td">
<input type="text" name="f2" id="dates2" value="<? echo $f2?>" onClick="popUpCalendar(this, backup.dates2, 'yyyy-mm-dd');" class="inputbox">
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="submit" name="Registrar" value="Buscar" class="inputbox">
</div>
</td>
</tr>
</table>
<?
if(isset($Registrar)){
	class crearSucursal{
		var $crearObj;
		var $conexionObj;
		var $estado;
		function validar($id_mens,$tabla,$f1,$f2){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			if (!empty($f2)) $f2=$fec_lim=sumaDia($f2,1);
			if (!empty($id_mens) and empty($f1) and empty($f2)) $sql4=" where p.id_mensajero='".$id_mens."' ";
			if (!empty($f1) and !empty($f2) and empty($id_mens)) $sql2="where F16>='".$f1."' AND F16<'".$f2."' ";
			if (!empty($f1) and !empty($f2) and !empty($id_mens)) $sql3=" where p.id_mensajero='".$id_mens."' and F16>='".$f1."' AND F16<='".$f2."' ";
			$rst_select=$this->conexionObj->consultar("SELECT p.id_dev, count(r.guia), m.nombre, m.identificacion, p.id_mensajero, 
			p.fecha_dev 
			FROM $tabla as g 
			inner join rastreo_guias as r on (g.guia=r.guia) 
			inner join plani_dev as p on (g.guia=p.guia) 
			inner join mensajeros as m on (p.id_mensajero=m.id_mensajero) 
			".$sql4." ".$sql2." ".$sql3."
			group by p.id_mensajero desc");
			
			$i=0;
			$cant_filas=mysql_num_rows($rst_select);
			
			echo '<CENTER><table width="500" border="0" class="primaria">
			<tr class=miTable_tr>
			<td colspan="5" class=miTable_th1><div align="center">..:: Planillas de Devolucion ::..</div></td>
			</tr>
			<tr class=miTable_tr>
			<td colspan="5" class=miTable_th1>Cantidad de registros encontrados '.$cant_filas.'</td>
			</tr>
			<tr class="miTable_tr">
			<td valign=top class=miTable_th1 width="30">Nš</td>
			<td valign=top class=miTable_th1 width="210">Nombre</td>
			<td valign=top class=miTable_th1 width="80">C.C.</td>
			<td valign=top class=miTable_th1 width="30">Fecha</td>
			<td valign=top class=miTable_th1 width="80">Devoluciones</td>
			</tr>';
			$id=0;
			if($cant_filas>=1){
			while($tomar_planilla=mysql_fetch_array($rst_select)){
								$id++;
								$fecha=$tomar_planilla[5];
								$cc=$tomar_planilla[3];
								$nombre=$tomar_planilla[2];
								$cant_guias=$tomar_planilla[1];
								$mensa=$tomar_planilla[4];
								echo "<tr class=miTable_tr>";
								echo "<td valign=top class=miTable_td>".$id."</td>";
								echo "<td valign=top class=miTable_td>".$nombre."</td>";
								echo "<td valign=top class=miTable_td>".$cc."</td>";
								echo "<td valign=top class=miTable_td>".$fecha."</td>";
								echo "<td valign=top class=miTable_td>";
								?><a href="ver_dev_general.php?id_user=<? echo $_GET['id_user'];?>&suc=<? echo $_GET['suc'];?>&tabla=<? echo $tabla;?>&f1=<? echo $f1;?>&f2=<? echo $f2;?>&id_dev=<? echo $id; ?>&id_mens=<? echo $mensa;?>"><? echo $cant_guias;?></a>
								<?
								echo "</td></tr>";
								$total=$total+$cant_guias;
						}
				
			}
			echo '<tr class=miTable_tr>
			<td class=miTable_th1 colspan="4">
			<div align="right">Total Devoluciones:</div>
			</td>
			<td class=miTable_th1 colspan="1">'.$total.'</td>
			</tr></table></center>';
		}
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$crearSucursalObj=new crearSucursal();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
// LAMANDO EL METODO DE NEGOCIO
$crearSucursalObj->validar($_POST['id_mens'],$_POST['tabla'],$_POST['f1'],$_POST['f2']);
}
mostrar_pie();
} 
	echo"</td>";
	echo"</tr>";   
	echo"</table>";     
	echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
	echo"<tbody><tr>";
	echo"<td></td>";
	echo"</tr>";
	echo"<tr>";
	echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
	echo"</tr>";
	echo"<tr>";
?><td><center>
<img src="imagenes/recursos/envia.gif" alt="" title="" border=0>
</center></td>
<?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</center>";
	echo"</body>";
	echo"</html>";
?>
</CENTER>
</form>